radosgw-admin log show --nonzero-only
Assignee:    
Target version:    

Source:  Reviewed:  
Backport:  Pull request ID:  

Description

Have another flag for radosgw-admin low show like --nonzero-only that only prints a log entry if it will have a nonzero bytes_sent or

bytes_received.  That way we don't have to have around a bunch of logs in memory or go through a bunch of logs that all have

{'bytes_sent': 0, 'bytes_received': 0}

History

#1 - 10/26/2011 09:49 AM - Sage Weil

- Category set to 22

#2 - 10/26/2011 10:10 AM - Sage Weil

- translation missing: en.field_position set to 10

#3 - 10/26/2011 10:10 AM - Sage Weil

- translation missing: en.field_position deleted (10)

- translation missing: en.field_position set to 27

#4 - 10/26/2011 04:06 PM - Yehuda Sadeh

- Status changed from New to Resolved

Fixed, commit:e8e101580ea04628713f51171e9af58aec1acbd2.

rgw-admin accepts --skip-zero-entries now.

#5 - 01/17/2018 03:24 PM - John Spray

- Project changed from Ceph to rgw

- Category deleted (22)

Bulk reassign of radosgw category to RGW project.
